<?php

/*
 =================================================================
 =  Paramètres de configuration et options du script SqLinguae    
 =                                                                
 =  (des explications complémentaires sur ces paramètres sont     
 =   présentes dans le fichier manuel_fr.htm)                     
 =================================================================
*/



$sqlng_conf = Array(


    // -------------------------------------------------------------------------
    // Langage à utiliser par défaut pour l'INTERFACE du script
    // français : 'fr', English : 'en'
    // Voir le dossier sqlinguae/lib/lang/ pour traduire et ajouter de
    // nouvelles langues d'interface.
    
    'def_lang' => 'fr' ,
    
    // ------------------------------------------------------------------------- 
    // Liste des langages d'INTERFACE à présenter au visiteur (icônes)
    // Pour masquer un langage, ajoutez "//" devant son nom. Nb : si la liste
    // ne contient qu'un seul élément actif, l'îcone restante sera masquée et la
    // langue par défaut sera appliquée, quelque soit l'élément restant.
    
    'ic_lang' => Array(
    
              'fr' ,
              'en' ,
                      ),
    
    // -------------------------------------------------------------------------
    // Nombre de caractères maximum admis dans les champs de recherche.
    // Permet de diminuer l'encombrement de la base des statistiques avec du
    // texte issu de robots spammeurs.
    
    'char_max' => 25 ,
    
    // -------------------------------------------------------------------------
    // Nombre maximum de résultats de recherche à retourner.
    // Un nombre modéré soulage le serveur et évite des pages interminables
    // à afficher.
    
    'res_max' => 200 ,
    
    // -------------------------------------------------------------
    // Enregistrement optionnel des statistiques de consultation des
    // dictionnaires.
    // Valeurs : 0 : ne pas enregistrer
    //           2 : enregistrer uniquement les "Rechercher" 
    //           4 : enregister uniquement les "Allez à"
    //           6 : enregistrer les "Rechercher" ET les "Allez à"
    
    'record_stat' => 6 ,
        
    // -------------------------------------------------------------
    // Mot de passe pour visualiser les statistiques de consultation
    // des dictionnaires.
    // Le mot de passe n'est pas sensible à la casse.
    // Personnalisez le mot de passe par défaut !
    
    'stat_psw' => 'sqlinguae' ,

    // -------------------------------------------------------------------------
    // Extension utilisée pour les fichiers php du script qui nécessitent PHP5+
    // Certains serveurs nécessitent de modifier l'extension par défaut ".php5"
    // de ces fichiers.
    // Inscrivez ici l'extension utilisée :
    
    'ext' => '.php5' ,

    // -------------------------------------------------------------------------
    // Nombre de lignes de l'explorateur de dictionnaire (liste alphabétique
    // des entrées).
    
    'expl_nbl' => 35 ,

    // -------------------------------------------------------------------------
    // Largeur (en pixels) de la liste des entrées de l'explorateur de
    // dictionnaire.
    
    'expl_width' => 200 ,

    // -------------------------------------------------------------------------
    // Dictionnaire initial. Si ce champ mentionne un fichier-dictionnaire
    // valide, ce dictionnaire est présélectionné dans la liste des dicos au
    // lancement du script.
    // Pour un lancement en mode explorateur, ajouter "+" devant le nom du
    // fichier, sinon le script se lancera en mode "recherche seule".
    
    'start_dic' => '' ,

    // -----------------------------------------------------------------
    // Option de colorisation/surlignage du mot recherché dans la liste 
    // d'affichage des mots trouvés.
    // Valeurs : 1 pour surligner, 0 pour supprimer le surlignage
    
    'hilight' => 1 ,

    // ----------------------------------------------------------------
    // Option d'affichage du domaine de recherche (entrées ou notices)
    // Cela est superflu dans le cas d'un simple glossaire et la liste
    // déroulante du choix du domaine peut être masquée. Si la liste est
    // masquée la recherche est effectuée dans les entrées. 
    // Valeurs : 1 pour afficher, 0 pour masquer

    'lst_dom' => 1 ,
        
    // -------------------------------------------------------------------------
    // Option d'affichage du sélecteur de jeu de caractères spéciaux.
    // L'utilité de cet accessoire dépend du type de dicos à afficher.
    // Valeurs : 1 pour afficher, 0 pour masquer

    'lst_char' => 1 ,
    
    // ---------------------------------------------------------------------
    // Liste des jeux de caractères spéciaux à présenter au visiteur.
    // Pour masquer/démasquer un jeu, ajoutez/supprimez "//" devant son nom.
    // De nouveau jeux peuvent être ajoutés si besoins (voir : manuel_fr.htm)

    'kbs' => Array  (
                    
                    'de' => 'Allemand',
                    'arab' => 'Arabe',
                    //'berb1' => 'Berbère (Tifinagh)',
                    //'berb2' => 'Berbère (latinisé)',
                    'catal' => 'Catalan',
                    'croat' =>'Croate',
                    'cyr' => 'Cyrillique',
                    'es' => 'Espagnol',
                    'esp' => 'Esperanto',
                    'est' => 'Estonien',
                    'fr' => 'Français',
                    'irl' => 'Gaëlique d\'Irlande',
                    'cmr' => 'Gallois',
                    'gr' => 'Grec',
                    //'haw' => 'Hawaïen',
                    'hbr' => 'Hébreu',
                    'hu' => 'Hongrois',
                    'isl' => 'Islandais',
                    'it' => 'Italien',
                    'latet' => 'Latin étendu',
                    'let' => 'Letton',
                    'lit' => 'Lituanien',
                    'malt' => 'Maltais',
                    //'nav' => 'Navajo &amp; Apache',
                    'nl' => 'Néerlandais',
                    //'pin' => 'Pinyin',
                    'pl' => 'Polonais',
                    'p' => 'Portugais',
                    //'rom' => 'Romaji',
                    'ro' => 'Roumain',
                    'scan' => 'Scandinave',
                    'cz' => 'Tchèque',
                    'turc' => 'Turc',
                    //'oen' => 'Vieil anglais',
                    'viet' => 'Vietnamien',
                    //'yid' => 'Yiddish',
                    
                    ),
    
    
    
    
);



?>