<?php

// Fichier-cible pour requête Ajax

// recoit le code de clavier et retourne l'html des touches de clavier en fonction
// du paramètre (identifiant d'un jeu de caractères spéciaux) passé dans la requête.
// Codage de ce fichier et des données retournées : Utf-8


$kb = (isset($_REQUEST['kb'])) ? htmlspecialchars($_REQUEST['kb']) : '';


// -------------------------------------
// --- Jeux de caractères spéciaux      
// -------------------------------------

switch ($kb)
{


case 'de': // Allemand
$cars = Array('Ä','ä','Ö','ö','ß','Ü','ü'); 
break;


case 'arab': // Arabe
$cars = Array ('ﺍ','ﺑ','ﺗ','ﺛ','ﺟ','ﺣ','ﺧ','ﺩ','ﺫ','ﺭ','ﺯ','ﺳ','ﺷ','ﺻ','ﺿ','ﻃ',
'ﻇ','ﻋ','ﻏ','ﻓ','ﻗ','ﻛ','ﻟ','ﻣ','ﻧ','ﻫ','ﻭ','ﻳ','ﺍ','ﺒ','ﺘ','ﺜ','ﺠ','ﺤ','ﺨ','ﺪ',
'ﺬ','ﺮ','ﺰ','ﺴ','ﺸ','ﺼ','ﻀ','ﻄ','ﻈ','ﻌ','ﻐ','ﻔ','ﻘ','ﻜ','ﻠ','ﻤ','ﻨ','ﻬ','ﻮ','ﻴ',
'ﺎ','ﺐ','ﺖ','ﺚ','ﺞ','ﺢ','ﺦ','ﺪ','ﺬ','ﺮ','ﺰ','ﺲ','ﺶ','ﺺ','ﺾ','ﻂ','ﻆ','ﻊ','ﻎ','ﻒ',
'ﻖ','ﻚ','ﻞ','ﻢ','ﻦ','ﻪ','ﻮ','ﻲ','ﺍ','ﺏ','ﺕ','ﺙ','ﺝ','ﺡ','ﺥ','ﺩ','ﺫ','ﺭ','ﺯ','ﺱ',
'ﺵ','ﺹ','ﺽ','ﻁ','ﻅ','ﻉ','ﻍ','ﻑ','ﻕ','ﻙ','ﻝ','ﻡ','ﻥ','ﻩ','ﻭ','ﻱ');
break;


case 'berb1': // Berbère (Tifinagh)
$cars = Array ('ⴰⴱ','ⴲ','ⴳ','ⴴ','ⴷ','ⴸ','ⴺ','ⴹ','ⴻ','ⴼ','ⴽ','ⴿ','ⵀ','ⵃ','ⵄ','ⵅ',
'ⵇ','ⵉ','ⵊ','ⵍ','ⵎ','ⵏ','ⵒ','ⵓ','ⵔ','ⵕ','ⵖ','ⵙ','ⵚ','ⵛ','ⵜ','ⵝ','ⵟ','ⵠ','ⵡ','ⵢ',
'ⵣ','ⵥ','ⵯ');
break;


case 'berb2': // Berbère (latinisé)
$cars = Array ('Ɛ','Č','Ḍ','Ğ','Ḥ','Γ','Ɣ','Ṛ','Ṣ','Ṭ','Ț','Ẓ','Ž','ε','č','ḍ',
'ğ','ḥ','ɣ','ṛ','ṣ','ṭ','ţ','ẓ','ž','ʷ');
break;


case 'catal': // Catalan
$cars = Array('À','à','Ç','ç','É','é','È','è','Í','í','Ï','ï','Ó','ó','Ò','ò',
'Ú','ú','Ü','ü','Ŀ','ŀ');
break;


case 'croat': // Croate
$cars = Array('Č','č','Ć','ć','Dž','dž','Đ','đ','Š','š','Ž','ž');
break;


case 'cyr': // Cyrillique
$cars = Array ('А','Б','В','Г','Д','Е','Ж','З','И','Й','К','Л','М','Н','О','П',
'Р','С','Т','У','Ф','Х','Ц','Ч','Ш','Щ','Ъ','Ы','Ь','Э','Ю','Я','а','б','в','г',
'д','е','ж','з','и','й','к','л','м','н','о','п','р','с','т','у','ф','х','ц','ч',
'ш','щ','ъ','ы','ь','э','ю','я','Ђ','ђ','Ј','ј','Љ','љ','Њ','њ','Ћ','ћ','Џ','џ'); 
break;


case 'es': // Espagnol
$cars = Array('Á','á','É','é','Í','í','Ñ','ñ','Ó','ó','Ú','ú','Ü','ü');
break;


case 'esp': // Esperanto
$cars = Array('Ĉ','ĉ','Ĝ','ĝ','Ĥ','ĥ','Ĵ','ĵ','Ŝ','ŝ','Ŭ','ŭ');
break;


case 'est': // Estonien
$cars = Array('Č','č','Š','š','Ž','ž','Õ','õ','Ä','ä','Ö','ö','Ü','ü');
break;


case 'fr': // Français  
$cars = Array('æ','Æ','à','À','â','Â','ä','Ä','ç','Ç','é','É','è','È','ê',
'Ê','ë','Ë','î','Î','ï','Ï','œ','Œ','ô','Ô','ö','Ö','ù','Ù','û','Û','ü','Ü','ÿ'
,'Ÿ');
break;


case 'irl': // Gaëlique d'Irlande
$cars = Array('Á','á','Ḃ','ḃ','Ċ','ċ','Ḋ','ḋ','É','é','Ḟ','ḟ','Ġ','ġ','Í','í',
'Ṁ','ṁ','Ó','ó','Ṗ','ṗ','Ṡ','ṡ','Ṫ','ṫ','Ú','ú');
break;


case 'cmr': // Gallois
$cars = Array('Á','á','À','à','Â','â','Ä','ä','É','é','È','è','Ê','ê','Ë','ë',
'Ì','ì','Î','î','Ï','ï','Ó','ó','Ò','ò','Ô','ô','Ö','ö','Ù','ù','Û','û','Ẁ','ẁ',
'Ŵ','ŵ','Ẅ','ẅ','Ý','ý','Ỳ','ỳ','Ŷ','ŷ','Ÿ','ÿ');
break;


case 'gr': // Grec
$cars = Array('Α','Β','Γ','Δ','Ε','Ζ','Η','Θ','Ι','Κ','Λ','Μ','Ν','Ξ','Ο',
'Π','Ρ','Σ','Τ','Υ','Φ','Χ','Ψ','Ω','Ϝ','Ϻ','ϟ','Ϡ','Ϛ','Ϸ','Ῥ','α','β','ϐ','γ',
'δ','ε','ζ','η','θ','ϑ','ι','κ','ϰ','λ','μ','ν','ξ','ο','π','ϖ','ρ','ϱ','σ','ς',
'τ','υ','φ','ϕ','χ','ψ','ω','ϝ','ϻ','ϟ','ϡ','ϛ','ϸ','ῤ','ῥ','Ά','Έ','Ή','Ί','Ό',
'Ύ','Ώ','ά','έ','ή','ί','ό','ύ','ώ','ᾴ','ῄ','ῴ','Ὰ','Ὲ','Ὴ','Ὶ','Ὸ','Ὺ','Ὼ','ὰ',
'ὲ','ὴ','ὶ','ὸ','ὺ','ὼ','ᾲ','ῂ','ῲ','ᾶ','ῆ','ῖ','ῦ','ῶ','ᾷ','ῇ','ῷ','ῗ','ῧ','ῒ',
'ῢ','ΐ','ΰ','ᾼ','ῌ','ῼ','ᾳ','ῃ','ῳ','Ἀ','Ἐ','Ἠ','Ἰ','Ὀ','Υ̓','Ὠ','ᾈ','ᾘ','ᾨ','ἀ',
'ἐ','ἠ','ἰ','ὀ','ὐ','ὠ','ᾀ','ᾐ','ᾠ','Ἄ','Ἔ','Ἤ','Ἴ','Ὄ','Ὤ','ᾌ','ᾜ','ᾬ','ἄ','ἔ',
'ἤ','ἴ','ὄ','ὔ','ὤ','ᾄ','ᾔ','ᾤ','Ἂ','Ἒ','Ἢ','Ἲ','Ὂ','Ὢ','ᾊ','ᾚ','ᾪ','ἂ','ἒ','ἢ',
'ἲ','ὂ','ὒ','ὢ','ᾂ','ᾒ','ᾢ','Ἆ','Ἦ','Ἶ','Ὦ','ᾎ','ᾞ','ᾮ','ἆ','ἦ','ἶ','ὖ','ὦ','ᾆ',
'ᾖ','ᾦ','Ἁ','Ἑ','Ἡ','Ἱ','Ὁ','Ὑ','Ὡ','ἁ','ἑ','ἡ','ἱ','ὁ','ὑ','ὡ','Ἅ','Ἕ','Ἥ','Ἵ',
'Ὅ','Ὕ','Ὥ','ᾍ','ᾝ','ᾭ','ἅ','ἕ','ἥ','ἵ','ὅ','ὕ','ὥ','ᾅ','ᾕ','ᾥ','Ἃ','Ἓ','Ἣ','Ἳ',
'Ὃ','Ὓ','Ὣ','ᾋ','ᾛ','ᾫ','ἃ','ἓ','ἣ','ἳ','ὃ','ὓ','ὣ','ᾃ','ᾓ','ᾣ','Ἇ','Ἧ','Ἷ','Ὗ',
'ᾏ','ᾟ','ᾯ','ἇ','ἧ','ἷ','ὗ','ὧ','ᾇ','ᾗ','ᾧ','Ᾰ','ᾰ','Ῐ','ῐ','Ῠ','ῠ','Ᾱ','ᾱ','Ῑ',
'ῑ','Ῡ','ῡ'); 
break;


case 'haw': // Hawaïen
$cars = Array ('Ā','ā','Ē','ē','Ī','ī','Ō','ō','Ū','ū','ʻ');
break;


case 'hu': // Hongrois
$cars = Array('Á','á','É','é','Í','í','Ó','ó','Ö','ö','Ő','ő','Ú','ú','Ü','ü','Ű'
,'ű');
break;


case 'hbr': // Hébreu
$cars = Array('א','ב','ג','ד','ה','ו','ז','ח','ט','י','כ','ך','ל','מ','ם','נ',
'ן','ס','ע','פ','ף','צ','ץ','ק','ר','ש','ת','׳','״' );
break;


case 'isl': // Islandais
$cars = Array('Á','á','Ð','ð','É','é','Í','í','Ó','ó','Ú','ú','Ý','ý','Þ','þ',
'Æ','æ','Ö','ö');
break;


case 'it': // Italien
$cars = Array('Á','á','À','à','É','é','È','è','Í','í','Ì','ì','Ó','ó','Ò','ò',
'Ú','ú','Ù','ù');
break;


case 'latet': // Latin étendu
$cars = Array('Á','á','Ć','ć','É','é','Í','í','Ó','ó','Ś','ś','Ú','ú','Ý','ý',
'Ǿ','ǿ','À','à','È','è','Ì','ì','Ò','ò','Ù','ù','Â','â','Ĉ','ĉ','Ê','ê','Ĝ','ĝ',
'Ĥ','ĥ','Î','î','Ĵ','ĵ','Ô','ô','ŝ','Ŝ','Û','û','Ä','ä','Ë','ë','Ï','ï','Ö','ö',
'Ü','ü','ÿ','Ã','ã','Ñ','ñ','Õ','õ','Å','å','Ç','ç','Č','č','Š','š','ŭ','Ł','ł',
'Ő','ő','Ű','ű','Ø','ø','Ā','ā','Ē','ē','Ī','ī','Ō','ō','Ū','ū','Ȳ','ȳ','Ă','ă',
'Ĕ','ĕ','Ğ','ğ','Ĭ','ĭ','Ŏ','ŏ','Ŭ','ŭ','Y̆','y̆','ß','Æ','æ','Œ','œ','Ð','ð',
'Þ','þ');
break;


case 'let': // Letton
$cars = Array('Ā','ā','Č','č','Ē','ē','Ģ','ģ','Ī','ī','Ķ','ķ','Ļ','ļ','Ņ','ņ',
'Ō','ō','Ŗ','ŗ','Š','š','Ū','ū','Ž','ž');
break;


case 'lit': // Lituanien
$cars = Array('Ą','ą','Č','č','Ę','ę','Ė','ė','Į','į','Š','š','Ų','ų','Ū','ū',
'Ž','ž');
break;


case 'malt': // Maltais
$cars = Array('Ċ','ċ','Ġ','ġ','Ħ','ħ','Ż','ż');
break;


case 'nav': // Navajo & Apache
$cars = Array('’','Á','á','Ą','ą','Ą́','ą́','É','é','Ę','ę','Ę́','ę́','Í','í',
'Į','į','Į́','į́','Ł','ł','Ó','ó','Ǫ','ǫ','Ǫ́','ǫ́','Ú','ú','Ų','ų','Ų́','ų́');
break;


case 'nl': // Néerlandais
$cars = Array('Ä','ä','Ë','ë','Ï','ï','Ö','ö','Ü','ü','Ÿ','ÿ','Á','á','É','é',
'Í','í','Ó','ó','Ú','ú','À','à','È','è','Ì','ì','Ò','ò','Ù','ù','Â','â','Ê','ê',
'Î','î','Ô','ô','Û','û','Ĳ','ĳ','ſ','ƒ');
break;


case 'pin': // 'Pinyin'
$cars = Array('Ā','ā','Á','á','Ǎ','ǎ','À','à','Ē','ē','É','é','Ě','ě','È','è',
'Ī','ī','Í','í','Ǐ','ǐ','Ì','ì','Ō','ō','Ó','ó','Ǒ','ǒ','Ò','ò','Ū','ū','Ú','ú',
'Ǔ','ǔ','Ù','ù','Ǖ','ǖ','Ǘ','ǘ','Ǚ','ǚ','Ǜ','ǜ','Ü','ü');
break;


case 'pl': // Polonais
$cars = Array('ą','Ą','ć','Ć','ę','Ę','ł','Ł','ń','Ń','ó','Ó','ś','Ś','ź','Ź',
'ż','Ż');
break;


case 'p': // Portuguais
$cars = Array('Á','á','À','à','Â','â','Ã','ã','Ç','ç','É','é','Ê','ê','Í','í',
'Ó','ó','Ô','ô','Õ','õ','Ú','ú','Ü','ü');
break;


case 'rom': // Romaji
$cars = Array('Ā','ā','Ē','ē','Ī','ī','Ō','ō','Ū','ū');
break;


case 'ro': // Roumain
$cars = Array('Ă','ă','Â','â','Î','î','Ş','ş','Ţ','ţ');
break;


case 'scan': // Scandinave
$cars = Array('À','à','É','é','Å','å','Æ','æ','Ä','ä','Ø','ø','Ö','ö');
break;


case 'cz': // Tchèque
$cars = Array('Á','á','Č','č','Ď','ď','É','é','Ě','ě','Í','í','Ň','ň','Ó','ó',
'Ř','ř','Š','š','Ť','ť','Ú','ú','Ů','ů','Ý','ý','Ž','ž');
break;


case 'turc': // Turc
$cars = Array('Ç','ç','Ə','ə','Ä','ä','Ğ','ğ','G‘','g‘','İ','ı','Ž','ž','Ň','ň',
'Ö','ö','O‘','o‘','Ş','ş','Ü','ü','Ý','ý');
break;


case 'oen': // Vieil anglais
$cars = Array('Ā','ā','Æ','æ','Ǣ','ǣ','Ǽ','ǽ','Ċ','ċ','Ð','ð','Ē','ē','Ġ','ġ',
'Ī','ī','Ō','ō','Ū','ū','Ƿ','ƿ','Ȳ','ȳ','Þ','þ','Ȝ','ȝ');
break;


case 'viet': // Vietnamien
$cars = Array('À','à','Ả','ả','Á','á','Ạ','ạ','Ã','ã','Ă','ă','Ằ','ằ','Ẳ','ẳ',
'Ẵ','ẵ','Ắ','ắ','Ặ','ặ','Â','â','Ầ','ầ','Ẩ','ẩ','Ẫ','ẫ','Ấ','ấ','Ậ','ậ','Đ','đ',
'È','è','Ẻ','ẻ','Ẽ','ẽ','É','é','Ẹ','ẹ','Ê','ê','Ề','ề','Ể','ể','Ễ','ễ','Ế','ế',
'Ệ','ệ','Ỉ','ỉ','Ĩ','ĩ','Í','í','Ị','ị','Ì','ì','Ỏ','ỏ','Ó','ó','Ọ','ọ','Ò','ò',
'Õ','õ','Ô','ô','Ồ','ồ','Ổ','ổ','Ỗ','ỗ','Ố','ố','Ộ','ộ','Ơ','ơ','Ờ','ờ','Ở','ở',
'Ỡ','ỡ','Ớ','ớ','Ợ','ợ','Ù','ù','Ủ','ủ','Ũ','ũ','Ú','ú','Ụ','ụ','Ư','ư','Ừ','ừ',
'Ử','ử','Ữ','ữ','Ứ','ứ','Ự','ự','Ỳ','ỳ','Ỷ','ỷ','Ỹ','ỹ','Ỵ','ỵ','Ý','ý');
break;


case 'yid': // Yiddish
$cars = Array('א','אַ','אָ','ב','בֿ','ג','ד','ה','ו','וּ','װ','ױ','ז','ח','ט',
'י','יִ','ײ','ײַ','כ','כּ','ך','ל','מ','ם','נ','ן','ס','ע','פּ','פֿ','ף','צ',
'ץ','ק','ר','ש','שׂ','ת','תּ','׳','״');
break;


}

// ---------------------------------------------------------------
// --- Ecrire (renvoyer) l'html des touches de clavier            
// ---------------------------------------------------------------

if ($kb != '')
    {
    foreach ($cars as $car)
        {
        echo '<a href="javascript:cp(\'', $car, '\')">', $car, '</a> ';
        }
    }

?>
